Name:           polyester
Version:        2.0.0
Release:        2%{?dist}
Summary:        A style for KDE 4

Group:          User Interface/Desktops
License:        LGPLv2
URL:            http://www.kde-look.org/content/show.php?content=27968
Source0:        http://www.notmart.org/files/polyester-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kde-filesystem >= 4
BuildRequires: kdelibs4-devel >= 4
BuildRequires: cmake
BuildRequires: gettext

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
A widget style for KDE 4 aimed to be a good balance between eyecandy and 
simplicity.


%prep
%setup -q

%build

# fix unneeded executable permissions
chmod 0644 README style/*.{cpp,h} style/config/polyesterconf.{h,cpp}

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang kstyle_polyester_config
cp kstyle_polyester_config.lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_kde4_libdir}/kde4/libpolyester_config.so
%{_kde4_libdir}/kde4/plugins/styles/libpolyester.so
%{_kde4_appsdir}/color-schemes/Polyester*.colors
%{_kde4_appsdir}/kstyle/themes/polyester.themerc

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 11 2009 Sebastian Vahl <svahl@fedoraproject.org> - 2.0.0-1
- new upstream release: 2.0.0

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.5.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.4.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.0-0.3.beta1
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 2.0-0.2.beta1
- rebuild for NDEBUG and _kde4_libexecdir

* Mon Feb 18 2008 Sebastian Vahl <fedora@deadbabylon.de> - 2.0-0.1.beta1
- new upsream version: 2.0-beta1 (tarball version: 1.9.0)
- BuildRequires: kdelibs4-devel >= 4

* Sat Feb 09 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.95-2
- rebuild for new gcc-4.3

* Mon Jan 14 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.95-1
- Update to kde4 version: 1.95
- update %%summary and %%description (only style is ported to kde4)

* Tue Aug 21 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.0.2-1
- new upstream version: 1.0.2

* Thu Aug 16 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.0.1-2
- Change License to LGPLv2

* Wed Jun 06 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.0.1-1
- new upstream version: 1.0.1
- added README

* Thu Jan 11 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.0-2
- Removed kdebase from "Require"
- fix rpath 

* Wed Jan 10 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.0-1
- New upstream version: 1.0 (final)

* Sun Nov 12 2006 Sebastian Vahl <fedora@deadbabylon.de> - 1.0-0.1.beta2
- Rebuild for FC6
- New upstream version: 1.0.beta2

* Wed May 24 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.9.2-1
- New upstream release: 0.9.2

* Thu Apr 06 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.9-1
- New Version: 0.9

* Wed Mar 29 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.8.8-1
- Build for FC5
- New Upstream version

* Thu Mar 09 2006 Sebastian Vahl <fedora@deadbabylon.de> - 0.8.5-1
- Upstream renamed to polyester
- Updated to new version

* Thu Oct 13 2005 Sebastian Vahl <fedora@deadbabylon.de> - 0.5.5-1
- Updated to new version

* Mon Oct 10 2005 Sebastian Vahl <fedora@deadbabylon.de> - 0.5-1
- Updated to new version

* Wed Oct 05 2005 Sebastian Vahl <fedora@deadbabylon.de> - 0.4-1
- Updated to new version

* Thu Sep 01 2005 Sebastian Vahl <fedora@deadbabylon.de> - 0.3-1
- Initial Release
